define common::line($file, $line, $ensure = 'present') {
  case $ensure {
    default : { err ( "unknown ensure value ${ensure}" ) }
    present: {
      exec { "/bin/echo '${line}' >> '${file}'":
        unless => "/bin/grep -qFx '${line}' '${file}'"
      }
    }
    absent: {
      exec { "/bin/grep -vFx '${line}' '${file}' | /usr/bin/tee '${file}' > /dev/null 2>&1":
        onlyif => "/bin/grep -qFx '${line}' '${file}'"
      }

      # Use this resource instead if your platform's grep doesn't support -vFx;
      # note that this command has been known to have problems with lines containing quotes.
      # exec { "/usr/bin/perl -ni -e 'print unless /^\\Q${line}\\E\$/' '${file}'":
      #     onlyif => "/bin/grep -qFx '${line}' '${file}'"
      # }
      }
  }
}

define common::simple_replace($file, $pattern, $replacement) {
  exec { "/bin/sed -i -e \"s/$pattern/$replacement/g\" $file":
    unless => "/bin/grep -E \"$replacement\" $file",
    onlyif => "/bin/grep -E \"$pattern\" $file",
  }
}
